//*************************************************************
//	
//	CalendarWindow.h
//	Last Update 981030		
//*************************************************************

#ifndef _CALENDAR_WINDOW_H
#define _CALENDAR_WINDOW_H
#include <interface/Window.h>							//981030
#include <interface/Menu.h>								//981030
#include <interface/MenuBar.h>							//981030
#include <interface/MenuItem.h>							//981030
#include <interface/Dragger.h>							//981030
#include <app/Application.h>							//981030

class MMYYWindow;
//============================================================
// Class: CalendarWindow
//============================================================
class CalendarApplication;
class CalendarView;										//981124

class CalendarWindow : public BWindow 
{

public:
                CalendarWindow(BRect frame, int32 m, int32 y); 

virtual void	MessageReceived( BMessage *message );
	void		SetupMenus(void );
	CalendarView	*aView;								//981124

private:
	int32		month;
	int32		year;

    bool		QuitRequested(void);
    void		Quit(void);
    MMYYWindow	*mmyyWindow;
};



struct XMenuItem {
    const char *title;
    ulong       command;
    char        key;
};
 
void    ReadMenu(
    const XMenuItem *item,
    BMenu           *menu,
    BWindow			 *win );
  
#define	X_JAN	'xjan'
#define X_FEB	'xfeb'
#define X_MAR	'xmar'
#define X_APR	'xapr'
#define X_MAY	'xmay'
#define X_JUN	'xjun'
#define X_JUL	'xjul'
#define X_AUG	'xaug'
#define X_SEP	'xsep'
#define X_OCT	'xoct'
#define X_NOV	'xnov'
#define X_DEC	'xdec'
#define X_NEXT	'xnxt'
#define X_PREV	'xprv'
#define X_NEW   'xnew'
#define X_CLS   'xcls'
#define X_WCLS	'xwcl'
#define	X_MMYY	'mmyy'

#define X_CREATE_MMYY_WINDOW 'crmm'
#define X_STYLE	'styl'
#define	X_HOLIDAYS 'holi'
#define	X_COLOR	'colr'
#define X_HELP	'help'

#endif
